libebook::LRFAttributes Struct Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libebook::LRFAttributes Struct Reference

`#include <LRFTypes.h>`

## Public Member Functions
| LRFAttributes ()

## Public Attributes
boost::optional< unsigned > | fontSize
boost::optional< unsigned > | fontWidth
boost::optional< unsigned > | fontEscapement
boost::optional< unsigned > | fontOrientation
boost::optional< unsigned > | fontWeight
boost::optional< std::string > | fontFacename
boost::optional< LRFColor > | textColor
boost::optional< LRFColor > | textBgColor
boost::optional< unsigned > | wordSpace
boost::optional< unsigned > | letterSpace
boost::optional< unsigned > | baseLineSkip
boost::optional< unsigned > | lineSpace
boost::optional< unsigned > | parIndent
boost::optional< unsigned > | parSkip
boost::optional< unsigned > | height
boost::optional< unsigned > | width
boost::optional< unsigned > | locationX
boost::optional< unsigned > | locationY
bool | italic
bool | sup
bool | sub
bool | heading
boost::optional< LRFEmptyLine > | emptyLine
boost::optional< LRFAlign > | align
boost::optional< unsigned > | topSkip
boost::optional< unsigned > | topMargin
boost::optional< unsigned > | oddSideMargin
boost::optional< unsigned > | evenSideMargin

## Constructor & Destructor Documentation

libebook::LRFAttributes::LRFAttributes | ( |  | ) |

## Member Data Documentation

boost::optional<LRFAlign> libebook::LRFAttributes::align

Referenced by libebook::LRFParser::readAttribute().

boost::optional<unsigned> libebook::LRFAttributes::baseLineSkip

Referenced by libebook::LRFParser::readAttribute().

boost::optional<LRFEmptyLine> libebook::LRFAttributes::emptyLine

Referenced by libebook::LRFParser::readAttribute().

boost::optional<unsigned> libebook::LRFAttributes::evenSideMargin

Referenced by libebook::LRFParser::readAttribute().

boost::optional<unsigned> libebook::LRFAttributes::fontEscapement

Referenced by libebook::LRFParser::readAttribute().

boost::optional<std::string> libebook::LRFAttributes::fontFacename

Referenced by libebook::LRFParser::readAttribute().

boost::optional<unsigned> libebook::LRFAttributes::fontOrientation

Referenced by libebook::LRFParser::readAttribute().

boost::optional<unsigned> libebook::LRFAttributes::fontSize

Referenced by libebook::LRFParser::readAttribute().

boost::optional<unsigned> libebook::LRFAttributes::fontWeight

Referenced by libebook::LRFParser::readAttribute().

boost::optional<unsigned> libebook::LRFAttributes::fontWidth

Referenced by libebook::LRFParser::readAttribute().

bool libebook::LRFAttributes::heading

Referenced by libebook::LRFParser::readBlockObject().

boost::optional<unsigned> libebook::LRFAttributes::height

Referenced by libebook::LRFParser::readAttribute().

bool libebook::LRFAttributes::italic

Referenced by libebook::LRFParser::readAttribute().

boost::optional<unsigned> libebook::LRFAttributes::letterSpace

Referenced by libebook::LRFParser::readAttribute().

boost::optional<unsigned> libebook::LRFAttributes::lineSpace

Referenced by libebook::LRFParser::readAttribute().

boost::optional<unsigned> libebook::LRFAttributes::locationX

Referenced by libebook::LRFParser::readAttribute().

boost::optional<unsigned> libebook::LRFAttributes::locationY

Referenced by libebook::LRFParser::readAttribute().

boost::optional<unsigned> libebook::LRFAttributes::oddSideMargin

Referenced by libebook::LRFParser::readAttribute().

boost::optional<unsigned> libebook::LRFAttributes::parIndent

Referenced by libebook::LRFParser::readAttribute().

boost::optional<unsigned> libebook::LRFAttributes::parSkip

Referenced by libebook::LRFParser::readAttribute().

bool libebook::LRFAttributes::sub

Referenced by libebook::LRFParser::readAttribute().

bool libebook::LRFAttributes::sup

Referenced by libebook::LRFParser::readAttribute().

boost::optional<LRFColor> libebook::LRFAttributes::textBgColor

Referenced by libebook::LRFParser::readAttribute().

boost::optional<LRFColor> libebook::LRFAttributes::textColor

Referenced by libebook::LRFParser::readAttribute().

boost::optional<unsigned> libebook::LRFAttributes::topMargin

Referenced by libebook::LRFParser::readAttribute().

boost::optional<unsigned> libebook::LRFAttributes::topSkip

Referenced by libebook::LRFParser::readAttribute().

boost::optional<unsigned> libebook::LRFAttributes::width

Referenced by libebook::LRFParser::readAttribute().

boost::optional<unsigned> libebook::LRFAttributes::wordSpace

Referenced by libebook::LRFParser::readAttribute().

The documentation for this struct was generated from the following files:

- LRFTypes.h
- LRFTypes.cpp